/**
 * 读取图片解码引擎
 * */

#ifndef IMGDECODEENGINE_H
#define IMGDECODEENGINE_H

#include "AppCommon.h"

#include "EngineBase.h"
#include "EngineFactory.h"
#include "MyYaml.h"
#include "myutils.h"

class ImgDecodeEngine : public ai_matrix::EngineBase
{
public:
    ImgDecodeEngine();
    ~ImgDecodeEngine();

    APP_ERROR Init() override;
    APP_ERROR DeInit() override;
    APP_ERROR Process() override;

private:
    bool bUseEngine_;
    std::string strPort0_;
    ai_matrix::DataSourceConfig dataSourceConfig_;
    unsigned int width_, height_;

};

ENGINE_REGIST(ImgDecodeEngine)

#endif
